summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMS <ms@taler.net>2023-12-03 17:20:35 +0100
committerMS <ms@taler.net>2023-12-03 17:21:41 +0100
commit31fff46795e0a547406942f6d03219dc67582c3c (patch)
treefbd35d679ff6c91cb607ab48ec57daad8d45aace
parent8e2b017bebd5ebfb62ee0039c356188c3b666e04 (diff)
downloaddeployment-31fff46795e0a547406942f6d03219dc67582c3c.tar.gz
deployment-31fff46795e0a547406942f6d03219dc67582c3c.tar.bz2
deployment-31fff46795e0a547406942f6d03219dc67582c3c.zip
nexus currency
grabbing nexus fiat currency from the user answers
-rwxr-xr-xnetzbon/config_libeufin_nexus.sh6
-rwxr-xr-xnetzbon/withdraw.sh3
2 files changed, 8 insertions, 1 deletions
diff --git a/netzbon/config_libeufin_nexus.sh b/netzbon/config_libeufin_nexus.sh
index 5d95008..ae69543 100755
--- a/netzbon/config_libeufin_nexus.sh
+++ b/netzbon/config_libeufin_nexus.sh
@@ -9,6 +9,7 @@
set -eu
source functions.sh
+source config/user.conf
# In order to reach the bank, the setup step needs to provide
# the section [ebics-setup]. This is a manual process that is
@@ -20,6 +21,11 @@ then echo -e "[nexus-postgres]\n"\
>> /etc/libeufin/libeufin-nexus.conf
fi
+if ! taler-config -s "nexus-ebics" -o code &> /dev/null
+ taler-config -s nexus-ebics -o currency \
+ -V $CURRENCY /etc/libeufin/libeufin-nexus.conf
+fi
+
say "Setting up libeufin-nexus database"
libeufin-nexus-dbconfig
diff --git a/netzbon/withdraw.sh b/netzbon/withdraw.sh
index c0d6fcf..2f1b33b 100755
--- a/netzbon/withdraw.sh
+++ b/netzbon/withdraw.sh
@@ -18,6 +18,7 @@ CAMT_054=$(sed \
-e "s/DEBTOR_IBAN/$DEBTOR_IBAN/" \
incoming_template.xml)
-echo "$CAMT_054" | libeufin-nexus ebics-fetch -c $NEXUS_CONFIG_FILE --import
+echo "$CAMT_054" | sudo -i -u libeufin-nexus \
+ libeufin-nexus ebics-fetch -c $NEXUS_CONFIG_FILE --import
taler-wallet-cli run-until-done